/* input[type=range]: BOC  */
/* comun */
input[type="range"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  margin-bottom: 0;
  margin-top: -20px;
}

input[type=range]:focus {
  outline: none;
}

input[type='range']::-moz-focus-outer {
  border: 0;
}

/* iE */
input[type=range]::-ms-track {
  width: 100%;
  height: 3px;
  cursor: pointer;
  animate: 0.2s;
  background: transparent;
  border-color: transparent;
  color: transparent;
  border-width: 11px 0;
  margin-bottom: 0;
}

input[type=range]::-ms-fill-lower {
  background: #4a90e2;
}

input[type=range]::-ms-fill-upper {
  background: #b4d2f5;
}

input[type=range]::-ms-thumb {
  box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.12);
  border: 1px solid #dfdfdf;
  height: 22px;
  width: 22px;
  border-radius: 50%;
  background: #FFFFFF;
  cursor: pointer;
}

input[type=range]:focus::-ms-fill-lower {
  background: #4a90e2;
}

input[type=range]:focus::-ms-fill-upper {
  background: #b4d2f5;
}

/* input[type=range]: EOC  */